Skip to main content
GET
/
v1
/
account-groupings
/
{accountGroupingId}
Read Account Grouping
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/account-groupings/{accountGroupingId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "name": {},
  "codeDisplayName": {},
  "delimiter": "<string>",
  "publishStatus": "DRAFT",
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "mac": true,
  "system": true,
  "archived": true,
  "publishedDate": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountGroupingId
string
required

Response

OK

version
integer<int64>
required

The data integrity version, to ensure data consistency.

name
object
required

The name of the account grouping.

codeDisplayName
object
required

The name of the account code hierarchy system used within the dataset.

delimiter
string
required

The delimiter character used to separate each category level in an account grouping code.

publishStatus
enum<string>
required

The current status of the account grouping.

Available options:
DRAFT,
UNPUBLISHED_CHANGES,
PUBLISHED
id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

mac
boolean

When true, the account grouping is based on the MAC code system.

system
boolean

When true, the account grouping is a system account grouping and cannot be modified.

archived
boolean

When true, the account grouping is archived.

publishedDate
string<date-time>

The date that the account grouping was published.